package es.espai.helloandroid;

import java.util.ArrayList;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;

public class HelloAndroid extends Activity implements OnClickListener
{

	private TextView txtNuevoItem = null;
	private Button btnCancelar;
	private Button btnAceptar;
	private ArrayAdapter<String> adapter;

	//este mtodo (onCreate) se ejecutar la pez que mostremos esta pantalla. Es el encargado, como sun nombre indica, de crear la imnterfaz de usuario
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);

		//asociamos el fichero xml con la interfaz de usuario (R.layout.activity_hello_android) a este activity.
		//Es necesario para que se muestren los botones, listas y todo lo que hemos diseado. 
		setContentView(R.layout.activity_hello_android);

		//tomamos una referencia al campo de texto, para poder recuperar su valor cuando el usuario lo escriba
		txtNuevoItem = (TextView) findViewById(R.id.txtNuevoItem);
		
		//tomamos una referencia a la lista, para poder asociarle los datos que deber mostrar 
		ListView listaProd = (ListView) findViewById(R.id.listaProd);

		ArrayList<String> valoresLista = new ArrayList<String>();

		//creamos un objeto adapter, que se encargar de avisar a la lista cuando insertemos un nuevo elemento. Es el "intermediario"
		//entre los datos (en valoresLista), y la lista en s (listaProd)
		adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, android.R.id.text1, valoresLista);
		adapter.add("tomates");
		
		//asociamos ese adapter a la lista, para que se actualice cuando aadamos datos al adapter.
		listaProd.setAdapter(adapter);

		btnAceptar = (Button) findViewById(R.id.btnAceptar);
		btnCancelar = (Button) findViewById(R.id.btnCancelar);

		//aadimos un listener, o oyente para que ejecute nuestro cdigo cuando pulsamos un botn
		btnAceptar.setOnClickListener(this);
		btnCancelar.setOnClickListener(this);

	}

	//este mtodo no nos interesa, lo crea android de serie.
	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.hello_android, menu);
		return true;
	}

	//mtodo que se ejecuta cuando pulsamos una vista, en concreto un botn.
	@Override
	public void onClick(View v)
	{
		String valorTexto = null;

		if (v == btnAceptar)
		{
			//recuperamos el valor del campo de texto, para aadirlo a la lista
			valorTexto = (String) txtNuevoItem.getText().toString();

			//si no ha escrito nada, no hacemos nada
			if (valorTexto.length() > 0)
			{
				//aadimos el texto que el usuario ha introducido al adapter, para que la lista lo muestre
				adapter.add(valorTexto);
				txtNuevoItem.setText("");
			}
		}
		//si pulsamos en cancelar se vaca el campo de texto
		else if (v == btnCancelar)
		{
			txtNuevoItem.setText("");
		}

	}

}
